Index: tmp/org.txm.libs.groovy-all/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.libs.groovy-all/META-INF/MANIFEST.MF	(revision 241)
+++ tmp/org.txm.libs.groovy-all/META-INF/MANIFEST.MF	(revision 242)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Groovy-all
 Bundle-SymbolicName: groovy-all
-Bundle-Version: 1.0.0.qualifier
+Bundle-Version: 2.3.3
 Bundle-ClassPath: groovy-all-2.3.3.jar
 Export-Package: groovy.beans,
  groovy.grape,
Index: tmp/org.txm.progression.rcp/.classpath
===================================================================
--- tmp/org.txm.progression.rcp/.classpath	(revision 241)
+++ tmp/org.txm.progression.rcp/.classpath	(revision 242)
@@ -3,6 +3,5 @@
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
 	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
 	<classpathentry kind="src" path="src"/>
-	<classpathentry kind="src" path="OSGI-INF"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.progression.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.progression.rcp/META-INF/MANIFEST.MF	(revision 241)
+++ tmp/org.txm.progression.rcp/META-INF/MANIFEST.MF	(revision 242)
@@ -4,7 +4,8 @@
 Bundle-SymbolicName: org.txm.progression.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.txm.chartsengine.r.core;bundle-version="1.0.0",
+Require-Bundle: org.txm.lexicaltable.rcp;bundle-version="1.0.0",
+ org.txm.chartsengine.r.core;bundle-version="1.0.0",
  org.txm.progression.core;bundle-version="1.0.0",
  org.txm.chartsengine.rcp;bundle-version="1.0.0",
  org.txm.chartsengine.core,
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java	(revision 241)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java	(revision 242)
@@ -27,7 +27,6 @@
 //
 package org.txm.progression.rcp.handlers;
 
-import org.eclipse.core.commands.AbstractHandler;
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.commands.ExecutionException;
 import org.eclipse.core.runtime.IProgressMonitor;
@@ -52,6 +51,7 @@
 import org.txm.progression.core.preferences.ProgressionPreferences;
 import org.txm.progression.rcp.dialogs.ProgressionDialog;
 import org.txm.progression.rcp.forms.ProgressionParametersComposite;
+import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.rcpapplication.JobsTimer;
 import org.txm.rcpapplication.Messages;
 import org.txm.rcpapplication.StatusLine;
@@ -66,7 +66,7 @@
  * @author mdecorde
  * @author sjacquot
  */
-public class ComputeProgression extends AbstractHandler {
+public class ComputeProgression extends BaseAbstractHandler {
 	
 	
 	// FIXME: should be put in an Activator? or better in an extension point loaded by the corpora view? or in a method called here as initTreeDoubleClickListener(Class resultDataType, String commandId)?
@@ -84,10 +84,10 @@
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		if (!Toolbox.isSearchEngineInitialized()) return false;
 		
-		if (!Toolbox.isStatEngineInitialized()) {
-			Log.severe(ProgressionCoreMessages.ComputeProgression_5);
+		if(!this.checkStatsEngine()) {
 			return null;
 		}
+
 		
 		IStructuredSelection selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
 
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/preferences/ProgressionPreferencePage.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/preferences/ProgressionPreferencePage.java	(revision 241)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/preferences/ProgressionPreferencePage.java	(revision 242)
@@ -31,6 +31,7 @@
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.ui.IWorkbench;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
+import org.txm.progression.core.messages.ProgressionCoreMessages;
 import org.txm.progression.core.preferences.ProgressionPreferences;
 import org.txm.progression.rcp.adapters.ProgressionAdapterFactory;
 import org.txm.progression.rcp.messages.ProgressionUIMessages;
@@ -91,7 +92,7 @@
 	public void init(IWorkbench workbench) {
 		this.setPreferenceStore(new TXMPreferenceStore(ProgressionPreferences.PREFERENCES_NODE));
 		//setDescription("Progression");
-		this.setTitle(ProgressionUIMessages.ProgressionPreferencePage_2);
+		this.setTitle(ProgressionCoreMessages.RESULT_TYPE);
 		this.setImageDescriptor(ProgressionAdapterFactory.ICON);
 	}
 
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/dialogs/ProgressionDialog.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/dialogs/ProgressionDialog.java	(revision 241)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/dialogs/ProgressionDialog.java	(revision 242)
@@ -56,7 +56,9 @@
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.chartsengine.r.core.themes.DefaultTheme;
 import org.txm.chartsengine.rcp.messages.SWTComponentsProviderMessages;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.preferences.TXMPreferences;
+import org.txm.lexicaltable.rcp.messages.LexicalTableUIMessages;
 import org.txm.progression.core.preferences.ProgressionPreferences;
 import org.txm.rcp.preferences.TXMPreferenceStore;
 import org.txm.rcpapplication.Messages;
@@ -324,7 +326,7 @@
 
 			// properties combo
 			Label propLabel = new Label(displayParam, SWT.NONE);
-			propLabel.setText(Messages.LexicalTable_1);
+			propLabel.setText(TXMCoreMessages.PROPERTY_1);
 			propLabel.setAlignment(SWT.CENTER);
 
 			propertyCombo = new Combo(displayParam, SWT.READ_ONLY);
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/messages/ProgressionUIMessages.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/messages/ProgressionUIMessages.java	(revision 241)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/messages/ProgressionUIMessages.java	(revision 242)
@@ -5,12 +5,9 @@
 
 public class ProgressionUIMessages extends NLS {
 
-	// FIXME: use the same properties file than the bundle
-	private static final String BUNDLE_NAME = "l10n.bundle"; //$NON-NLS-1$
+	private static final String BUNDLE_NAME = "org.txm.progression.rcp.messages.messages"; //$NON-NLS-1$
 
-	public static String ProgressionPreferencePage_2;
 	public static String ProgressionPreferencePage_3;
-	public static String ProgressionPreferencePage_4;
 	public static String ProgressionPreferencePage_5;
 	public static String ProgressionPreferencePage_6;
 	public static String ProgressionPreferencePage_7;
@@ -18,7 +15,6 @@
 	static {
 		// initializes resource bundle
 		TXMCoreMessages.initializeMessages(BUNDLE_NAME, ProgressionUIMessages.class);
-		//NLS.initializeMessages(BUNDLE_NAME, RCPProgressionMessages.class);
 	}
 	
 	private ProgressionUIMessages() {
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/messages/ProgressionCoreMessages.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/messages/ProgressionCoreMessages.java	(revision 241)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/messages/ProgressionCoreMessages.java	(revision 242)
@@ -6,6 +6,9 @@
 
 	private static final String BUNDLE_NAME = "org.txm.progression.core.messages.messages"; //$NON-NLS-1$
 
+	public static String RESULT_TYPE;
+
+	
 	public static String ChartsEngine_PROGRESSION_X_AXIS_LABEL;
 	public static String ChartsEngine_PROGRESSION_Y_AXIS_CUMULATIVE_LABEL;
 	public static String ChartsEngine_PROGRESSION_Y_AXIS_NOT_CUMULATIVE_LABEL;
@@ -22,14 +25,28 @@
 	public static String ComputeProgression_2;
 	public static String ComputeProgression_3;
 	public static String ComputeProgression_4;
-	public static String ComputeProgression_5;
 	public static String ComputeProgression_6;
-	public static String ComputeProgression_9;
 	public static String ComputeProgression_10;
 	public static String ComputeProgression_12;
 	public static String ComputeProgression_13;
+	
+	
+	public static String Progression_1;
 
 	
+	//FIXME: unsed key
+	public static String ComputeProgression_9;
+	public static String Progression_10;
+	public static String Progression_11;
+	public static String Progression_12;
+	public static String Progression_13;
+	public static String Progression_14;
+	public static String Progression_2;
+	public static String Progression_3;
+	public static String Progression_9;
+	// end of fixme
+
+	
 	static {
 		// initialize resource bundle
 		NLS.initializeMessages(BUNDLE_NAME, ProgressionCoreMessages.class);
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 241)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 242)
@@ -37,10 +37,10 @@
 import java.util.List;
 import java.util.Map;
 
-import org.txm.Messages;
+import org.txm.chartsengine.r.core.themes.DefaultTheme;
 import org.txm.core.results.ITXMResult;
-import org.txm.chartsengine.r.core.themes.DefaultTheme;
 import org.txm.functions.Function;
+import org.txm.progression.core.messages.ProgressionCoreMessages;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.CorpusManager;
@@ -317,7 +317,7 @@
 		if (corpus instanceof Subcorpus) {
 			List<Match> matches = ((Subcorpus) corpus).getMatches();
 			if (matches.size() == 0) {
-				System.out.println(Messages.Progression_1);
+				System.out.println(ProgressionCoreMessages.Progression_1);
 				return false;
 			}
 			
@@ -576,12 +576,12 @@
 
 	@Override
 	public String getDetails() {
-		return this.queries.toString();
+		return this.getName();
 	}
 
 	@Override
 	public String getName() {
-		return this.parent.getName() + ": " + this.getSimpleName();
+		return this.parent.getSimpleName() + ": " + this.getSimpleName();
 	}
 
 	@Override
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/JFCProgressionChartCreator.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/JFCProgressionChartCreator.java	(revision 241)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/JFCProgressionChartCreator.java	(revision 242)
@@ -48,8 +48,6 @@
 		Progression progression = (Progression) result;
 		
 		// parameters
-//		boolean monochrome = (TXMPreferences.getInt(preferencesNode, resultData, ChartsEnginePreferences.RENDERING_COLORS_MODE, ChartsEnginePreferences.PREFERENCES_NODE)
-//				== ChartsEngine.RENDERING_MONOCHROME_MODE);
 		boolean monostyle = TXMPreferences.getBoolean(preferencesNode, result, ProgressionPreferences.CHART_MONO_STYLE);
 		boolean cumulative = TXMPreferences.getBoolean(preferencesNode, result, ProgressionPreferences.CHART_CUMULATIVE);
 		
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/r/RProgressionChartCreator.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/r/RProgressionChartCreator.java	(revision 241)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/r/RProgressionChartCreator.java	(revision 242)
@@ -13,9 +13,9 @@
 import org.txm.progression.core.chartsengine.base.Utils;
 import org.txm.progression.core.functions.Progression;
 import org.txm.progression.core.preferences.ProgressionPreferences;
-import org.txm.stat.StatException;
-import org.txm.stat.engine.r.RWorkspace;
-import org.txm.stat.engine.r.RWorkspaceException;
+import org.txm.statsengine.core.StatException;
+import org.txm.statsengine.r.core.RWorkspace;
+import org.txm.statsengine.r.core.RWorkspaceException;
 import org.txm.utils.logger.Log;
 
 /**
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/utils/OverlayImageIcon.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/utils/OverlayImageIcon.java	(revision 241)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/utils/OverlayImageIcon.java	(revision 242)
@@ -68,8 +68,10 @@
     // Demo Image Object 
     //demoImage_ = demoImage;
     //imageKey_ = imageKey;
-    sizeOfImage_ = new Point(baseImage.getBounds().width, 
+    if(baseImage != null)	{
+    	sizeOfImage_ = new Point(baseImage.getBounds().width, 
                              baseImage.getBounds().height);
+    }
     this.imagekey = imagekey;
   }
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/function/ComputeIntersection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/function/ComputeIntersection.java	(revision 241)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/function/ComputeIntersection.java	(revision 242)
@@ -14,6 +14,7 @@
 import org.rosuda.REngine.REXPMismatchException;
 import org.txm.Toolbox;
 import org.txm.functions.intertextualdistance.InterTextDistance;
+import org.txm.lexicaltable.core.statsengine.data.LexicalTable;
 import org.txm.rcpapplication.utils.Logger;
 import org.txm.searchengine.cqp.AbstractCqiClient;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
@@ -22,8 +23,7 @@
 import org.txm.searchengine.cqp.corpus.CqpObject;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.Subcorpus;
-import org.txm.stat.StatException;
-import org.txm.stat.data.LexicalTable;
+import org.txm.statsengine.core.StatException;
 
 public class ComputeIntersection extends AbstractHandler {
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/function/ComputeInterTextDistance.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/function/ComputeInterTextDistance.java	(revision 241)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/function/ComputeInterTextDistance.java	(revision 242)
@@ -8,11 +8,11 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.rosuda.REngine.REXPMismatchException;
 import org.txm.functions.intertextualdistance.InterTextDistance;
+import org.txm.lexicaltable.core.statsengine.data.LexicalTable;
 import org.txm.rcpapplication.utils.Logger;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.clientExceptions.InvalidCqpIdException;
-import org.txm.stat.StatException;
-import org.txm.stat.data.LexicalTable;
+import org.txm.statsengine.core.StatException;
 
 public class ComputeInterTextDistance extends AbstractHandler {
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/RestartTXM.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/RestartTXM.java	(revision 241)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/RestartTXM.java	(revision 242)
@@ -92,7 +92,7 @@
 		//System.out.println(Messages.RestartTXM_0);
 		org.txm.rcpapplication.views.corpora.CorporaView.reload();
 		org.txm.rcpapplication.views.corpora.CorporaView.refresh();
-		org.txm.rcpapplication.views.RConsole.reload();
+		org.txm.statsengine.r.rcp.views.RConsole.reload();
 		org.txm.rcpapplication.views.BasesView.reload();
 		org.txm.rcpapplication.views.BasesView.refresh();
 		org.txm.rcpapplication.views.QueriesView.reload();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/workspace/ConvertCorpus.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/workspace/ConvertCorpus.java	(revision 241)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/workspace/ConvertCorpus.java	(revision 242)
@@ -20,7 +20,7 @@
 import org.txm.rcpapplication.commands.RestartTXM;
 import org.txm.rcpapplication.utils.JobHandler;
 import org.txm.rcpapplication.views.QueriesView;
-import org.txm.rcpapplication.views.RVariablesView;
+import org.txm.statsengine.r.rcp.views.RVariablesView;
 import org.txm.utils.DeleteDir;
 
 public class ConvertCorpus extends AbstractHandler {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/editors/TableKeyListener.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/editors/TableKeyListener.java	(revision 241)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/editors/TableKeyListener.java	(revision 242)
@@ -12,6 +12,7 @@
 import org.eclipse.swt.events.KeyListener;
 import org.eclipse.swt.widgets.TableColumn;
 import org.eclipse.swt.widgets.TableItem;
+import org.txm.cooccurrence.rcp.messages.CooccurrenceUIMessages;
 import org.txm.rcpapplication.Messages;
 import org.txm.utils.logger.Log;
 
@@ -46,7 +47,7 @@
 		//System.out.println("search in tablein items: "+Arrays.toString(items));
 
 		TableColumn[] cols = viewer.getTable().getColumns();
-		InputDialog dialog = new InputDialog(viewer.getTable().getShell(), Messages.CooccurrencesEditor_2, Messages.TableKeyListener_1, "", null);  //$NON-NLS-1$
+		InputDialog dialog = new InputDialog(viewer.getTable().getShell(), CooccurrenceUIMessages.CooccurrencesEditor_2, Messages.TableKeyListener_1, "", null);  //$NON-NLS-1$
 		if (dialog.open() == Window.OK) {
 			String reg = dialog.getValue();
 			Pattern p = Pattern.compile(reg);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/editors/SVGGraphicEditorActionBarContributor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/editors/SVGGraphicEditorActionBarContributor.java	(revision 241)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/editors/SVGGraphicEditorActionBarContributor.java	(revision 242)
@@ -33,6 +33,8 @@
 /**
  * The Class SVGGraphicEditorActionBarContributor.
  */
+//FIXME: not used?
+@Deprecated
 public class SVGGraphicEditorActionBarContributor extends
 		EditorActionBarContributor {
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/swt/widget/NamedAssistedQueryWidget.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/swt/widget/NamedAssistedQueryWidget.java	(revision 241)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/swt/widget/NamedAssistedQueryWidget.java	(revision 242)
@@ -38,6 +38,7 @@
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Text;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.rcpapplication.IImageKeys;
 import org.txm.rcpapplication.Messages;
 import org.txm.rcpapplication.swt.dialog.QueryAssistDialog;
@@ -78,7 +79,7 @@
 		
 		l = new Label(this, SWT.NONE);
 		l.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, false, true));
-		l.setText(Messages.IndexEditor_3);
+		l.setText(TXMCoreMessages.QUERY_1);
 		
 		magicstick = new Button(this, SWT.PUSH);
 		magicstick.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, false, true));
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/swt/widget/PartitionComposer.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/swt/widget/PartitionComposer.java	(revision 241)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/swt/widget/PartitionComposer.java	(revision 242)
@@ -46,6 +46,7 @@
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Text;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.rcpapplication.IImageKeys;
 import org.txm.rcpapplication.Messages;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
@@ -169,7 +170,7 @@
 		});
 
 		Label propLabel = new Label(firstArea, SWT.NONE);
-		propLabel.setText(Messages.LexicalTable_1);
+		propLabel.setText(TXMCoreMessages.PROPERTY_1);
 
 		propCombo = new Combo(firstArea, SWT.READ_ONLY | SWT.SINGLE);
 		reloadProperties();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/ApplicationWorkbenchAdvisor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/ApplicationWorkbenchAdvisor.java	(revision 241)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/ApplicationWorkbenchAdvisor.java	(revision 242)
@@ -102,17 +102,16 @@
 import org.txm.rcpapplication.preferences.CQPPreferencePage;
 import org.txm.rcpapplication.preferences.ImportPreferencePage;
 import org.txm.rcpapplication.preferences.LocalePreferencePage;
-import org.txm.rcpapplication.preferences.RPreferencePage;
 import org.txm.rcpapplication.preferences.ScriptPreferencePage;
 import org.txm.rcpapplication.preferences.TXMPreferencePage;
 import org.txm.rcpapplication.preferences.TreeTaggerPreferencePage;
 import org.txm.rcpapplication.utils.JobHandler;
 import org.txm.rcpapplication.views.BasesView;
 import org.txm.rcpapplication.views.QueriesView;
-import org.txm.rcpapplication.views.RVariablesView;
 import org.txm.rcpapplication.views.SummaryView;
 import org.txm.rcpapplication.views.corpora.CorporaView;
 import org.txm.rcpapplication.views.fileexplorer.MacroExplorer;
+import org.txm.statsengine.r.rcp.views.RVariablesView;
 import org.txm.utils.DeleteDir;
 import org.txm.utils.FileCopy;
 import org.txm.utils.logger.Log;
@@ -206,28 +205,28 @@
 				CQPPreferencePage.CQI_NETWORK_MODE, false, null);
 		String defaultEmptyCode = service.getString(Application.PLUGIN_ID,
 				ImportPreferencePage.CQP_EMPTY_VALUE_CODE, "", null); //$NON-NLS-1$
-		String pathToRExecutable = service.getString(Application.PLUGIN_ID,
-				RPreferencePage.R_PATH_TO_EXECUTABLE, "", null); //$NON-NLS-1$
-		String pathToRremote = service.getString(Application.PLUGIN_ID,
-				RPreferencePage.R_SERVER_ADRESS, "", null); //$NON-NLS-1$
-		String rPort = service.getString(Application.PLUGIN_ID,
-				RPreferencePage.R_PORT, "6311", null); //$NON-NLS-1$
-		String rUser = service.getString(Application.PLUGIN_ID,
-				RPreferencePage.R_USER, "", null); //$NON-NLS-1$
-		String rPassword = service.getString(Application.PLUGIN_ID,
-				RPreferencePage.R_PASSWORD, "", null); //$NON-NLS-1$
-		String rArgs = service.getString(Application.PLUGIN_ID,
-				Toolbox.R_RARGS, "", null); //$NON-NLS-1$
-		String rServeArgs = service.getString(Application.PLUGIN_ID,
-				Toolbox.R_RSERVEARGS, "", null); //$NON-NLS-1$
-		boolean rDebug = service.getBoolean(Application.PLUGIN_ID,
-				RPreferencePage.R_DEBUG, false, null);
-		boolean rRemote = service.getBoolean(Application.PLUGIN_ID,
-				RPreferencePage.R_REMOTE, false, null);
-		boolean rFileTransfert = service.getBoolean(Application.PLUGIN_ID,
-				RPreferencePage.R_FILE_TRANSFERT, false, null);
-		String rSvgDevice = service.getString(Application.PLUGIN_ID,
-				RPreferencePage.R_SVG_DEVICE, "svg", null); //$NON-NLS-1$
+//		String pathToRExecutable = service.getString(Application.PLUGIN_ID,
+//				RPreferencePage.R_PATH_TO_EXECUTABLE, "", null); //$NON-NLS-1$
+//		String pathToRremote = service.getString(Application.PLUGIN_ID,
+//				RPreferencePage.R_SERVER_ADRESS, "", null); //$NON-NLS-1$
+//		String rPort = service.getString(Application.PLUGIN_ID,
+//				RPreferencePage.R_PORT, "6311", null); //$NON-NLS-1$
+//		String rUser = service.getString(Application.PLUGIN_ID,
+//				RPreferencePage.R_USER, "", null); //$NON-NLS-1$
+//		String rPassword = service.getString(Application.PLUGIN_ID,
+//				RPreferencePage.R_PASSWORD, "", null); //$NON-NLS-1$
+//		String rArgs = service.getString(Application.PLUGIN_ID,
+//				Toolbox.R_RARGS, "", null); //$NON-NLS-1$
+//		String rServeArgs = service.getString(Application.PLUGIN_ID,
+//				Toolbox.R_RSERVEARGS, "", null); //$NON-NLS-1$
+//		boolean rDebug = service.getBoolean(Application.PLUGIN_ID,
+//				RPreferencePage.R_DEBUG, false, null);
+//		boolean rRemote = service.getBoolean(Application.PLUGIN_ID,
+//				RPreferencePage.R_REMOTE, false, null);
+//		boolean rFileTransfert = service.getBoolean(Application.PLUGIN_ID,
+//				RPreferencePage.R_FILE_TRANSFERT, false, null);
+//		String rSvgDevice = service.getString(Application.PLUGIN_ID,
+//				RPreferencePage.R_SVG_DEVICE, "svg", null); //$NON-NLS-1$
 		String locale = service.getString(Application.PLUGIN_ID,
 				LocalePreferencePage.UI_LOCALE, "", null); //$NON-NLS-1$
 		String installdir = service.getString(Application.PLUGIN_ID,
@@ -275,17 +274,17 @@
 				additionalOptions);
 		properties.put(CQPPreferencePage.CQI_SERVER_IS_REMOTE, "" + cqpRemote); //$NON-NLS-1$
 		properties.put(CQPPreferencePage.CQI_NETWORK_MODE, "" + cqpNetwork); //$NON-NLS-1$
-		properties.put(RPreferencePage.R_PATH_TO_EXECUTABLE, pathToRExecutable);
-		properties.put(RPreferencePage.R_SERVER_ADRESS, pathToRremote);
-		properties.put(RPreferencePage.R_PORT, rPort);
-		properties.put(RPreferencePage.R_USER, rUser);
-		properties.put(RPreferencePage.R_PASSWORD, rPassword);
-		properties.put(Toolbox.R_RARGS, rArgs);
-		properties.put(Toolbox.R_RSERVEARGS, rServeArgs);
-		properties.put(RPreferencePage.R_REMOTE, "" + rRemote); //$NON-NLS-1$
-		properties.put(RPreferencePage.R_DEBUG, ""+rDebug); //$NON-NLS-1$
-		properties.put(RPreferencePage.R_FILE_TRANSFERT, "" + rFileTransfert); //$NON-NLS-1$
-		properties.put(RPreferencePage.R_SVG_DEVICE, "" + rSvgDevice); //$NON-NLS-1$
+//		properties.put(RPreferencePage.R_PATH_TO_EXECUTABLE, pathToRExecutable);
+//		properties.put(RPreferencePage.R_SERVER_ADRESS, pathToRremote);
+//		properties.put(RPreferencePage.R_PORT, rPort);
+//		properties.put(RPreferencePage.R_USER, rUser);
+//		properties.put(RPreferencePage.R_PASSWORD, rPassword);
+//		properties.put(Toolbox.R_RARGS, rArgs);
+//		properties.put(Toolbox.R_RSERVEARGS, rServeArgs);
+//		properties.put(RPreferencePage.R_REMOTE, "" + rRemote); //$NON-NLS-1$
+//		properties.put(RPreferencePage.R_DEBUG, ""+rDebug); //$NON-NLS-1$
+//		properties.put(RPreferencePage.R_FILE_TRANSFERT, "" + rFileTransfert); //$NON-NLS-1$
+//		properties.put(RPreferencePage.R_SVG_DEVICE, "" + rSvgDevice); //$NON-NLS-1$
 		properties.put(LocalePreferencePage.UI_LOCALE, locale);
 		properties.put(AdvancePreferencePage.INSTALL_DIR, installdir);
 		properties.put(AdvancePreferencePage.TXMHOME, txmhomedir);
